/*
 Theme Name:     Divi 5 Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi 5 Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.1001
*/

/* =Theme customization starts here
------------------------------------------------------- */

/********  GLOBALNE  ********/

p:not(:last-child) {
    padding-bottom: 1em !important;
}

.et_pb_button {
    line-height: 1.2 !important;
    text-align: center;
}

.dnxt-button-wrapper a {
    white-space: normal !important;
}

#menu-menu-glowne {
    gap: 20px;
}

body .custom_cart_button button.button {
    padding: 0.8em 3em;
}

/* Sztuczne podbicie wagi selektora (Specificity Boost) */
body.et-db #et-boc .et-l .et_pb_wc_add_to_cart_0_tb_body button.button.alt,
body.et-db #et-boc .et-l .et_pb_wc_add_to_cart_0_tb_body .button {
    padding-top: 0.8em !important;
    padding-right: 3em !important;
    padding-bottom: 0.8em !important;
    padding-left: 3em !important;
    width: 100%;
}

.et_pb_wc_add_to_cart .quantity input.qty {
    max-width: 100%;
    width: 100%;
    margin: 0;
}

.woocommerce div.product form.cart div.quantity,
.woocommerce-page div.product form.cart div.quantity,
.woocommerce #content div.product form.cart div.quantity,
.woocommerce-page #content div.product form.cart div.quantity {
    margin: 0;
    width: 100%;
}

.dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
    background: #fff;
    border-color: #000;
}

.et-db #et-boc .et-l .dnwooe_mini_cart_0_tb_header .dnwoo_mminicart_icon:before {
    color: #000 !important;
}

.woocommerce ul.products li.product .button {
    width: 100%;
    padding: 0.7em 2em !important;
    text-align: center;
    font-weight: 600 !important;
    font-size: 14px !important;
    text-transform: uppercase !important;
}

.woocommerce ul.products li.product .button:hover {
    padding: 0.7em 2em !important;
    opacity: 0.7;
    text-decoration: underline !important;
}

/******** LOADER GWAREK MEDIA ********/

#gwarekmedia-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 999999;
    display: flex;
    justify-content: center;
    align-items: center;
    transition:
        opacity 0.5s ease,
        visibility 0.5s;
}

.loader-line {
    width: 100px;
    height: 2px;
    background-color: #eee;
    position: relative;
    overflow: hidden;
}

.loader-line::after {
    content: "";
    display: block;
    width: 40px;
    height: 2px;
    background-color: #000; /* Złoty kolor marki */
    animation: line-load 1.5s infinite ease-in-out;
}

@keyframes line-load {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(250%);
    }
}

.loader-hidden {
    opacity: 0;
    visibility: hidden;
}

/******** MEDIA QUERY ********/

@media (max-width: 980px) {
}

@media (max-width: 767px) {
}

@media (max-width: 480px) {
}
